<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>Soprano</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>Soprano Namespace Reference</h1>
<code>from PyKDE4.soprano.Soprano import *</code>
<p>
<h2>Detailed Description</h2>

<h2>Class Index</h2>
<table width="95%" align="center" border="0" cellpadding="0" cellspacing="0">
<tbody><tr><td><a name="letter_B">&nbsp;&nbsp;B&nbsp;&nbsp;</a></td><td><a name="letter_M">&nbsp;&nbsp;M&nbsp;&nbsp;</a></td><td><a class="el" href="Soprano.QueryResultIterator.html">QueryResultIterator</a>&nbsp;(<a class="el" href="Soprano.html">Soprano</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Soprano.Backend.html">Backend</a>&nbsp;(<a class="el" href="Soprano.html">Soprano</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Soprano.Model.html">Model</a>&nbsp;(<a class="el" href="Soprano.html">Soprano</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_R">&nbsp;&nbsp;R&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="Soprano.BackendSetting.html">BackendSetting</a>&nbsp;(<a class="el" href="Soprano.html">Soprano</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_N">&nbsp;&nbsp;N&nbsp;&nbsp;</a></td><td><a class="el" href="Soprano.RdfSchemaModel.html">RdfSchemaModel</a>&nbsp;(<a class="el" href="Soprano.html">Soprano</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Soprano.BindingSet.html">BindingSet</a>&nbsp;(<a class="el" href="Soprano.html">Soprano</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Soprano.Node.html">Node</a>&nbsp;(<a class="el" href="Soprano.html">Soprano</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_S">&nbsp;&nbsp;S&nbsp;&nbsp;</a></td></tr>
<tr><td><a name="letter_F">&nbsp;&nbsp;F&nbsp;&nbsp;</a></td><td><a class="el" href="Soprano.NodeIterator.html">NodeIterator</a>&nbsp;(<a class="el" href="Soprano.html">Soprano</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Soprano.Serializer.html">Serializer</a>&nbsp;(<a class="el" href="Soprano.html">Soprano</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Soprano.FilterModel.html">FilterModel</a>&nbsp;(<a class="el" href="Soprano.html">Soprano</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_P">&nbsp;&nbsp;P&nbsp;&nbsp;</a></td><td><a class="el" href="Soprano.Statement.html">Statement</a>&nbsp;(<a class="el" href="Soprano.html">Soprano</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a name="letter_I">&nbsp;&nbsp;I&nbsp;&nbsp;</a></td><td><a class="el" href="Soprano.Parser.html">Parser</a>&nbsp;(<a class="el" href="Soprano.html">Soprano</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Soprano.StatementIterator.html">StatementIterator</a>&nbsp;(<a class="el" href="Soprano.html">Soprano</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="Soprano.IteratorBackend.html">IteratorBackend</a>&nbsp;(<a class="el" href="Soprano.html">Soprano</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Soprano.Plugin.html">Plugin</a>&nbsp;(<a class="el" href="Soprano.html">Soprano</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="Soprano.StorageModel.html">StorageModel</a>&nbsp;(<a class="el" href="Soprano.html">Soprano</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a name="letter_L">&nbsp;&nbsp;L&nbsp;&nbsp;</a></td><td><a class="el" href="Soprano.PluginManager.html">PluginManager</a>&nbsp;(<a class="el" href="Soprano.html">Soprano</a>)&nbsp;&nbsp;&nbsp;</td><td></td></tr>
<tr><td><a class="el" href="Soprano.LiteralValue.html">LiteralValue</a>&nbsp;(<a class="el" href="Soprano.html">Soprano</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_Q">&nbsp;&nbsp;Q&nbsp;&nbsp;</a></td><td></td></tr>
</table>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj179969484">BackendFeature</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;BackendFeatureNone, BackendFeatureAddStatement, BackendFeatureRemoveStatements, BackendFeatureListStatements, BackendFeatureQuery, BackendFeatureInference, BackendFeatureInferenceOptional, BackendFeatureContext, BackendFeatureStorageMemory, BackendFeatureUser&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj186385772">BackendOption</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;BackendOptionNone, BackendOptionStorageMemory, BackendOptionEnableInference, BackendOptionStorageDir, BackendOptionUser&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj185753260">RdfSerialization</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;SerializationUnknown, SerializationRdfXml, SerializationN3, SerializationNTriples, SerializationTurtle, SerializationTrig, SerializationNQuads, SerializationUser&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../soprano/Soprano.Model.html">Soprano.Model</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj196866380">createModel</a> (Soprano.BackendSettings settings=Soprano.BackendSettings())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../soprano/Soprano.Model.html">Soprano.Model</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198730316">createModel</a> ([<a href="../soprano/Soprano.BackendSetting.html">Soprano.BackendSetting</a>] settings)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../soprano/Soprano.Backend.html">Soprano.Backend</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180706604">discoverBackendByFeatures</a> (Soprano.BackendFeatures features, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> userFeatures=QStringList())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../soprano/Soprano.Backend.html">Soprano.Backend</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180707212">discoverBackendByName</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191397676">isOptionInSettings</a> (Soprano.BackendSettings settings, Soprano.BackendOption option, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> userOptionName=QString())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">Soprano.RdfSerialization&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195255052">mimeTypeToSerialization</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> mimetype)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186384684">serializationMimeType</a> (Soprano.RdfSerialization serialization, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> userSerialization=QString())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj174679564">setUsedBackend</a> (<a href="../soprano/Soprano.Backend.html">Soprano.Backend</a> a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../soprano/Soprano.BackendSetting.html">Soprano.BackendSetting</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj166514668">settingInSettings</a> (Soprano.BackendSettings settings, Soprano.BackendOption option, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> userOptionName=QString())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../soprano/Soprano.Backend.html">Soprano.Backend</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201154028">usedBackend</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qvariant.html">QVariant</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191989452">valueInSettings</a> (Soprano.BackendSettings settings, Soprano.BackendOption option, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> userOptionName=QString())</td></tr>
</table>
<hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj179969484"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">BackendFeature</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Each Backend plugin can support different features. %Soprano defines a list of well-known features
that each backend implementation should try to realize. In addition user features can be defined.
For this BackendFeatureUser has to be included in the supported features. Then additional features
may be reported through Backend.supportedUserFeatures().
</p>
<p>
\sa Backend.supportedFeatures(), Backend.supportedUserFeatures()
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>BackendFeatureNone</em>&nbsp;=&nbsp;0x0</td><td><tr><td valign="top"><em>BackendFeatureAddStatement</em>&nbsp;=&nbsp;0x1</td><td><tr><td valign="top"><em>BackendFeatureRemoveStatements</em>&nbsp;=&nbsp;0x2</td><td><tr><td valign="top"><em>BackendFeatureListStatements</em>&nbsp;=&nbsp;0x4</td><td><tr><td valign="top"><em>BackendFeatureQuery</em>&nbsp;=&nbsp;0x8</td><td><tr><td valign="top"><em>BackendFeatureInference</em>&nbsp;=&nbsp;0x10</td><td><tr><td valign="top"><em>BackendFeatureInferenceOptional</em>&nbsp;=&nbsp;0x20</td><td><tr><td valign="top"><em>BackendFeatureContext</em>&nbsp;=&nbsp;0x40</td><td><tr><td valign="top"><em>BackendFeatureStorageMemory</em>&nbsp;=&nbsp;0x80</td><td><tr><td valign="top"><em>BackendFeatureUser</em>&nbsp;=&nbsp;0x1000</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj186385772"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">BackendOption</td>
</tr>
</table>
</div>
<div class="memdoc"><p>There are two types of backend settings: boolean flags and key/value pairs.
The boolean flags are identified by BackendFlag.
</p>
<p>
\sa BackendSetting, Backend.createModel()
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>BackendOptionNone</em>&nbsp;=&nbsp;0x0</td><td><tr><td valign="top"><em>BackendOptionStorageMemory</em>&nbsp;=&nbsp;0x1</td><td><tr><td valign="top"><em>BackendOptionEnableInference</em>&nbsp;=&nbsp;0x2</td><td><tr><td valign="top"><em>BackendOptionStorageDir</em>&nbsp;=&nbsp;0x4</td><td><tr><td valign="top"><em>BackendOptionUser</em>&nbsp;=&nbsp;0x1000</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj185753260"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">RdfSerialization</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Different types of RDF serialization.
</p>
<p>
\sa serializationMimeType, mimeTypeToSerialization
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>SerializationUnknown</em>&nbsp;=&nbsp;0x0<p>The serialization is unknown.
< p></td><td><tr><td valign="top"><em>SerializationRdfXml</em>&nbsp;=&nbsp;0x1<p>Standard RDF XML serialization
< p></td><td><tr><td valign="top"><em>SerializationN3</em>&nbsp;=&nbsp;0x2<p>Notation 3: http:  www.w3.org DesignIssues Notation3
< p></td><td><tr><td valign="top"><em>SerializationNTriples</em>&nbsp;=&nbsp;0x4<p>N-Triples as defined by W3: http:  www.w3.org TR rdf-testcases #ntriples
< p></td><td><tr><td valign="top"><em>SerializationTurtle</em>&nbsp;=&nbsp;0x8<p>Turtle - Terse RDF Triple Language: http:  www.dajobe.org 2004 01 turtle 
< p></td><td><tr><td valign="top"><em>SerializationTrig</em>&nbsp;=&nbsp;0x10<p>TriG - Turtle + Named Graphs: http:  sites.wiwiss.fu-berlin.de suhl bizer TriG 
< p></td><td><tr><td valign="top"><em>SerializationNQuads</em>&nbsp;=&nbsp;0x20<p>N-Quads extends over N-Triples in that it adds an optional context node.
< p></td><td><tr><td valign="top"><em>SerializationUser</em>&nbsp;=&nbsp;0x0<p>The user type can be used to introduce unknown RDF serializations by name
< p></td><td></table>
</dl>
</div></div><p><hr><h2>Function Documentation</h2><a class="anchor" name="obj196866380"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../soprano/Soprano.Model.html">Soprano.Model</a> createModel</td>
<td>(</td>
<td class="paramtype">Soprano.BackendSettings&nbsp;</td>
<td class="paramname"><em>settings=Soprano.BackendSettings()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Creates a new RDF storage using the backend set via setUsedBackend.
The caller takes ownership and has to care about deletion.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>settings</em>&nbsp;</td><td> The settings that should be used to create the Model. Backend implementations
should never ignore settings but rather return 0 if an option is not supported. Backends can,
however, define their own default settings.
</td></tr>
</table></dl>
<p> \sa Model, Backend.createModel, BackendSetting
</p></div></div><a class="anchor" name="obj198730316"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../soprano/Soprano.Model.html">Soprano.Model</a> createModel</td>
<td>(</td>
<td class="paramtype">[<a href="../soprano/Soprano.BackendSetting.html">Soprano.BackendSetting</a>]&nbsp;</td>
<td class="paramname"><em>settings</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj180706604"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../soprano/Soprano.Backend.html">Soprano.Backend</a> discoverBackendByFeatures</td>
<td>(</td>
<td class="paramtype">Soprano.BackendFeatures&nbsp;</td>
<td class="paramname"><em>features</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td>
<td class="paramname"><em>userFeatures=QStringList()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Find a backend plugin by its features.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>features</em>&nbsp;</td><td> The features that are requested.
</td></tr> </table></dl>
<p> </p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>userFeatures</em>&nbsp;</td><td> If features contain Soprano.BackendFeatureUser this paramter states the additionally requested user features.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> a backend that supports the features defined in <b>features.</b>
</dd></dl> </p>
<p>
\sa PluginManager.discoverBackendByFeatures()
</p></div></div><a class="anchor" name="obj180707212"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../soprano/Soprano.Backend.html">Soprano.Backend</a> discoverBackendByName</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Find a backend plugin by its name.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the backend specified by <b>name</b> or null if could not
be found.
</dd></dl>
</p></div></div><a class="anchor" name="obj191397676"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isOptionInSettings</td>
<td>(</td>
<td class="paramtype">Soprano.BackendSettings&nbsp;</td>
<td class="paramname"><em>settings</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">Soprano.BackendOption&nbsp;</td>
<td class="paramname"><em>option</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>userOptionName=QString()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Check if a certain option is defined in a list of BackendSettings.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>settings</em>&nbsp;</td><td> The list to check.
</td></tr> </table></dl>
<p> </p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>option</em>&nbsp;</td><td> The option to check.
</td></tr> </table></dl>
<p> </p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>userOptionName</em>&nbsp;</td><td> If <b>option</b> is Soprano.BackendOptionUser, this
defines the user option to be checked.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> <b>true</b> if the option is defined.
</dd></dl> </p>
<p>
<dl class="since" compact><dt><b>Since:</b></dt><dd> 2.2
</dd></dl>
</p></div></div><a class="anchor" name="obj195255052"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">Soprano.RdfSerialization mimeTypeToSerialization</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>mimetype</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Parse a mimetype and match it to the Soprano.RdfSerialization enum.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the Soprano.RdfSerialization type that matches mimetype or SerializationUnknown if the mimetype
could not be parsed. Be aware that Soprano is very lax in parsing the mimetype, i.e. you can use simple
strings like 'trig' or 'n-quads' instead of the proper mimetype for convenience.
</dd></dl>
</p></div></div><a class="anchor" name="obj186384684"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> serializationMimeType</td>
<td>(</td>
<td class="paramtype">Soprano.RdfSerialization&nbsp;</td>
<td class="paramname"><em>serialization</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>userSerialization=QString()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Get the mimetype string of a serialization.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>serialization</em>&nbsp;</td><td> The serialization the mimetype is wanted for.
</td></tr> </table></dl>
<p> </p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>userSerialization</em>&nbsp;</td><td> If <b>serialization</b> is SerializationUser then this is the user defined serialization.
(this parameter is added for convinience to avoid having an additional check before using this method.)
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> The mimetype of serialization, an empty string is serialization is SerializationUnknown, or
</dd></dl> <b>userSerialization</b> if <b>serialization</b> is SerializationUser.
</p></div></div><a class="anchor" name="obj174679564"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setUsedBackend</td>
<td>(</td>
<td class="paramtype"><a href="../soprano/Soprano.Backend.html">Soprano.Backend</a>&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>By default and if available backend "redland" is used.
</p></div></div><a class="anchor" name="obj166514668"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../soprano/Soprano.BackendSetting.html">Soprano.BackendSetting</a> settingInSettings</td>
<td>(</td>
<td class="paramtype">Soprano.BackendSettings&nbsp;</td>
<td class="paramname"><em>settings</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">Soprano.BackendOption&nbsp;</td>
<td class="paramname"><em>option</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>userOptionName=QString()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Get a setting from the set, allowing to modify it.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>settings</em>&nbsp;</td><td> The list to check.
</td></tr> </table></dl>
<p> </p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>option</em>&nbsp;</td><td> The option to extract.
</td></tr> </table></dl>
<p> </p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>userOptionName</em>&nbsp;</td><td> If <b>option</b> is Soprano.BackendOptionUser, this
defines the user option to be extracted.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> The extracted setting.
</dd></dl> </p>
<p>
<dl class="since" compact><dt><b>Since:</b></dt><dd> 2.2
</dd></dl>
</p></div></div><a class="anchor" name="obj201154028"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../soprano/Soprano.Backend.html">Soprano.Backend</a> usedBackend</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj191989452"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qvariant.html">QVariant</a> valueInSettings</td>
<td>(</td>
<td class="paramtype">Soprano.BackendSettings&nbsp;</td>
<td class="paramname"><em>settings</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">Soprano.BackendOption&nbsp;</td>
<td class="paramname"><em>option</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>userOptionName=QString()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Retrieve the value of an option.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>settings</em>&nbsp;</td><td> The list to check.
</td></tr> </table></dl>
<p> </p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>option</em>&nbsp;</td><td> The option to retrieve.
</td></tr> </table></dl>
<p> </p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>userOptionName</em>&nbsp;</td><td> If <b>option</b> is Soprano.BackendOptionUser, this
defines the user option to be retrieved.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> The value of the specified option or an invalid variant if the set
does not contain the option.
</dd></dl> </p>
<p>
<dl class="since" compact><dt><b>Since:</b></dt><dd> 2.2
</dd></dl>
</p></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
